Loading...
Searching...
No Matches
BALL::VIEW::HTMLViewDock Class Reference

`#include <BALL/VIEW/WIDGETS/HTMLView.h>`

Inheritance diagram for BALL::VIEW::HTMLViewDock:

## Public Member Functions

| HTMLViewDock (QWidget *parent, const char *title=0)
| HTMLViewDock (HTMLView *view, QWidget *parent, const char *title=0)
void | setHTMLView (HTMLView *view)
HTMLView * | getHTMLView ()
const HTMLView * | getHTMLView () const
void | resetHTMLView (bool skip_checks)
| Re-invoke the most recent setHTMLView() call.
Public Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget (QWidget *parent, const char *title=0)
| Use this constructor!
virtual | ~DockWidget ()
void | setGuest (QWidget &guest)
virtual void | initializeWidget (MainControl &main_control)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
virtual void | setWidgetVisible (bool state)
| For usage with Python:
QGridLayout * | getGuestLayout ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
virtual void | checkMenu (MainControl &main_control)
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Member Functions

void | checkForIncompatibleDrivers_ ()
Protected Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget ()
| DockWidget (const DockWidget &)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

bool | skip_checks_
bool | show_error_
HTMLView * | html_view_
Protected Attributes inherited from BALL::VIEW::DockWidget
QWidget * | container_
QWidget * | guest_
QGridLayout * | layout_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
Public Slots inherited from BALL::VIEW::DockWidget
virtual void | dropEvent (QDropEvent *e)
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | showGuestContextMenu (const QPoint &)
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Definition at line 39 of file HTMLView.h.

## Constructor & Destructor Documentation

## HTMLViewDock() [1/2]

BALL::VIEW::HTMLViewDock::HTMLViewDock | ( | QWidget * | parent,
|  | const char * | title = 0 )

## HTMLViewDock() [2/2]

BALL::VIEW::HTMLViewDock::HTMLViewDock | ( | HTMLView * | view,
|  | QWidget * | parent,
|  | const char * | title = 0 )

## Member Function Documentation

## checkForIncompatibleDrivers_()

void BALL::VIEW::HTMLViewDock::checkForIncompatibleDrivers_ | ( |  | ) |

protected

## getHTMLView() [1/2]

HTMLView * BALL::VIEW::HTMLViewDock::getHTMLView | ( |  | ) |

## getHTMLView() [2/2]

const HTMLView * BALL::VIEW::HTMLViewDock::getHTMLView | ( |  | ) | const

## resetHTMLView()

void BALL::VIEW::HTMLViewDock::resetHTMLView | ( | bool | skip_checks | ) |

Re-invoke the most recent setHTMLView() call.

## setHTMLView()

void BALL::VIEW::HTMLViewDock::setHTMLView | ( | HTMLView * | view | ) |

## Member Data Documentation

## html_view_

HTMLView* BALL::VIEW::HTMLViewDock::html_view_

protected

Definition at line 62 of file HTMLView.h.

## show_error_

bool BALL::VIEW::HTMLViewDock::show_error_

protected

Definition at line 61 of file HTMLView.h.

## skip_checks_

bool BALL::VIEW::HTMLViewDock::skip_checks_

protected

Definition at line 60 of file HTMLView.h.